commit:     204011834c528ce6a6f804d3f06d1a26c8e630f2
Author:     Salah Coronya <salah.coronya <AT> gmail <DOT> com>
AuthorDate: Wed Feb 10 03:05:08 2021 +0000
Commit:     Joonas Niilola <juippis <AT> gentoo <DOT> org>
CommitDate: Thu Feb 18 09:36:16 2021 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=20401183

app-crypt/tpm2-abrmd: Bump to 2.4.0

Package-Manager: Portage-3.0.13, Repoman-3.0.2
Signed-off-by: Salah Coronya <salah.coronya <AT> gmail.com>
Signed-off-by: Joonas Niilola <juippis <AT> gentoo.org>

 app-crypt/tpm2-abrmd/Manifest                |  1 +
 app-crypt/tpm2-abrmd/tpm2-abrmd-2.4.0.ebuild | 54 ++++++++++++++++++++++++++++
 2 files changed, 55 insertions(+)

diff --git a/app-crypt/tpm2-abrmd/Manifest b/app-crypt/tpm2-abrmd/Manifest
index 7b889203c0f..6e7aacb8d4f 100644
--- a/app-crypt/tpm2-abrmd/Manifest
+++ b/app-crypt/tpm2-abrmd/Manifest
@@ -1 +1,2 @@
 DIST tpm2-abrmd-2.3.3.tar.gz 573449 BLAKE2B 
c3bc0311a73a0c69060a4d19517c3b5d09077ee8efdcd6e7d605675111cb5ac568d1e43bf9c329d4fad21fd44fb50b20e502205360461533c68866d329c320db
 SHA512 
2191c7e466271cb85fcb20fcd91c78df80f53030fb055d0b4670db33708939b60a9124955356f27662975abdcb9c8d144df884003986ffdbd801ca4e47edc21a
+DIST tpm2-abrmd-2.4.0.tar.gz 575440 BLAKE2B 
20c1fa772b016879adf28a67966450d64924bc1ac22b3111cf7376706335dc92fa8de97183d89c9d3ff5955dfb2a7617869469e9da61eb05847fd29b4a0208fd
 SHA512 
c2ef05ca2db5a33d3067052779aa4c2485a63bd357d5fd90ef9d4644530b37aa28b906064eed3b15729131697a2a9d6b9cc3f05bea04810fd6601e405af48110

diff --git a/app-crypt/tpm2-abrmd/tpm2-abrmd-2.4.0.ebuild 
b/app-crypt/tpm2-abrmd/tpm2-abrmd-2.4.0.ebuild
new file mode 100644
index 00000000000..6c9e7d3cbea
--- /dev/null
+++ b/app-crypt/tpm2-abrmd/tpm2-abrmd-2.4.0.ebuild
@@ -0,0 +1,54 @@
+# Copyright 1999-2021 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=7
+
+inherit autotools systemd
+
+DESCRIPTION="TPM2 Access Broker & Resource Manager"
+HOMEPAGE="https://github.com/tpm2-software/tpm2-abrmd";
+SRC_URI="https://github.com/tpm2-software/${PN}/releases/download/${PV}/${P}.tar.gz";
+
+LICENSE="BSD"
+SLOT="0"
+KEYWORDS="~amd64"
+IUSE="static-libs test"
+
+RESTRICT="!test? ( test )"
+
+RDEPEND="acct-group/tss
+        acct-user/tss
+        sys-apps/dbus
+        dev-libs/glib:=
+        app-crypt/tpm2-tss"
+DEPEND="${RDEPEND}
+       test? ( >=app-crypt/tpm2-tss-3.0.0
+               app-crypt/swtpm
+               dev-util/cmocka )"
+BDEPEND="virtual/pkgconfig
+       dev-util/gdbus-codegen"
+
+src_prepare() {
+       default
+       eautoreconf
+}
+
+src_configure() {
+       econf \
+               $(use_enable static-libs static) \
+               $(use_enable test unit) \
+               $(use_enable test integration) \
+               --disable-defaultflags \
+               --with-dbuspolicydir="${EPREFIX}/etc/dbus-1/system.d" \
+               
--with-systemdpresetdir="$(systemd_get_systemunitdir)/../system-preset" \
+               --with-systemdpresetdisable \
+               --with-systemdsystemunitdir="$(systemd_get_systemunitdir)"
+}
+
+src_install() {
+       default
+       find "${D}" -name '*.la' -delete || die
+
+       newinitd "${FILESDIR}"/${PN}.initd ${PN}
+       newconfd "${FILESDIR}"/${PN}.confd ${PN}
+}

Reply via email to